Python
import os
from dataframer import Dataframer
client = Dataframer(
api_key=os.environ.get("DATAFRAMER_API_KEY"), # This is the default and can be omitted
)
response = client.dataframer.anonymization_runs.files.download(
file_id="file_id",
run_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.content_type)curl https://df-api.dataframer.ai/api/dataframer/anonymization-runs/$RUN_ID/files/$FILE_ID/download/ \
-H "Authorization: Bearer $DATAFRAMER_API_KEY"{
"download_url": "<string>",
"file_name": "<string>",
"content_type": "<string>"
}Anonymization
Download Anonymized File
Get a presigned URL to download a single anonymized file from a completed run
GET
/
api
/
dataframer
/
anonymization-runs
/
{run_id}
/
files
/
{file_id}
/
download
/
Python
import os
from dataframer import Dataframer
client = Dataframer(
api_key=os.environ.get("DATAFRAMER_API_KEY"), # This is the default and can be omitted
)
response = client.dataframer.anonymization_runs.files.download(
file_id="file_id",
run_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
)
print(response.content_type)curl https://df-api.dataframer.ai/api/dataframer/anonymization-runs/$RUN_ID/files/$FILE_ID/download/ \
-H "Authorization: Bearer $DATAFRAMER_API_KEY"{
"download_url": "<string>",
"file_name": "<string>",
"content_type": "<string>"
}Authorizations
API Key authentication. Format: "Bearer YOUR_API_KEY"
Path Parameters
UUID of the completed anonymization run.
ID of the file to retrieve. Matches id from anonymized_files[] in the run response.

